%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 6
%define libname %mklibname matedict %{major}
%define develname %mklibname -d matedict

Summary: MATE utility programs such as file search and screenshot
Name: mate-utils
Version: 1.28.0
Release: %mkrel 1
Group: Graphical desktop/MATE
License: GPLv2+ and LGPLv2+
URL: http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1: org.pclinuxos.mate-system-log.policy

BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libgtop-2.0) >= 2.12.0
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.22.0
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(popt)
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: yelp-tools
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: inkscape
BuildRequires: librsvg
BuildRequires: sd
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(udisks2)

Requires: mate-system-log
Requires: mate-screenshot
Requires: mate-dictionary
Requires: mate-search-tool
Requires: mate-disk-usage-analyzer


%description
MATE Desktop utilities is a collection of small applications
all there to make your day just that little bit brighter.

#---------------------------------------------------------------
%package -n mate-system-log
Summary: A log file viewer for the MATE desktop
Group: Graphical desktop/MATE
Requires: polkit

%description -n mate-system-log
An application that lets you view various system log files.

#---------------------------------------------------------------
%package -n mate-screenshot
Summary: A utility to take a screen-shot of the desktop
Group: Graphical desktop/MATE

%description -n mate-screenshot
An application that let you take a screen-shot of your desktop.

#---------------------------------------------------------------
%package -n mate-dictionary
Summary: A dictionary for MATE Desktop
Group: Graphical desktop/MATE

%description -n mate-dictionary
A dictionary application for MATE Desktop.

#---------------------------------------------------------------
%package -n mate-search-tool
Summary: A file searching tool for MATE Desktop
Group: Graphical desktop/MATE

%description -n mate-search-tool
An application to search for files on your computer.

#---------------------------------------------------------------
%package -n mate-disk-usage-analyzer
Summary: A disk usage analyzing tool for MATE Desktop
Group: Graphical desktop/MATE

%description -n mate-disk-usage-analyzer
An application to help analyze disk usage.

#---------------------------------------------------------------
%package -n %{develname}
Summary: MATE dictionary library development files
Group: Development/Libraries
Provides: libmatedict-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

Obsoletes: mate-utils-devel
Provides: mate-utils-devel = %{version}-%{release}

%description -n %{develname}
Shared library required by the MATE Dictionary.

#---------------------------------------------------------------
%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q

%build
%configure2_5x \
    --disable-static \
    --disable-schemas-compile \
    --enable-gdict-applet \
    --enable-ipv6=yes \
    --disable-schemas-compile \
    --with-x

%make_build

%install
rm -rf %buildroot
%make_install

#policykit for system-log
mkdir -p %buildroot/%{_datadir}/polkit-1/actions/
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/polkit-1/actions/org.pclinuxos.mate-system-log.policy
sd "Exec=mate-system-log" "Exec=pkexec mate-system-log" %buildroot/%{_datadir}/applications/mate-system-log.desktop

find %{buildroot} -name "*.la" -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --remove-category="MATE" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/mate-system-log.desktop
  
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --remove-category="MATE" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/mate-screenshot.desktop
  
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --remove-category="MATE" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/mate-dictionary.desktop
 
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --remove-category="MATE" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/mate-search-tool.desktop
  
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --remove-category="MATE" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/mate-disk-usage-analyzer.desktop
  
rm -f %buildroot/%{_bindir}/mate-disk-image-mounter
rm -f %buildroot/%{_datadir}/applications/mate-disk-image-mounter.desktop

  
%find_lang %{name} --with-gnome
%find_lang mate-disk-usage-analyzer --with-gnome
%find_lang mate-dictionary --with-gnome
%find_lang mate-search-tool --with-gnome

%files -f %{name}.lang
%defattr(-,root,root,-)

%files -n mate-system-log
%{_bindir}/mate-system-log
%{_datadir}/glib-2.0/schemas/org.mate.system-log.gschema.xml
%{_datadir}/applications/mate-system-log.desktop
%{_datadir}/icons/hicolor/*/apps/mate-system-log.png
%{_datadir}/icons/hicolor/scalable/apps/mate-system-log-symbolic.svg
%{_mandir}/man1/mate-system-log.1.*
%{_datadir}/polkit-1/actions/org.pclinuxos.mate-system-log.policy

%files -n mate-screenshot
%{_bindir}/mate-screenshot
%{_bindir}/mate-panel-screenshot
%{_datadir}/applications/mate-screenshot.desktop
%{_mandir}/man1/mate-screenshot.1.*
%{_mandir}/man1/mate-panel-screenshot.1.*
%{_datadir}/glib-2.0/schemas/org.mate.screenshot.gschema.xml
%{_datadir}/metainfo/mate-screenshot.appdata.xml

%files -n mate-dictionary
%{_bindir}/mate-dictionary
%{_datadir}/applications/mate-dictionary.desktop
%{_datadir}/mate-dict/
%{_datadir}/mate-dictionary/
%{_libexecdir}/mate-dictionary-applet
%{_mandir}/man1/mate-dictionary.1.*
%{_datadir}/glib-2.0/schemas/org.mate.dictionary.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.DictionaryAppletFactory.service
%{_datadir}/gtk-doc/html/mate-dict
%{_datadir}/metainfo/mate-dictionary.appdata.xml
%_libdir/libmatedict.so.%{major}*

%files -n mate-search-tool
%{_bindir}/mate-search-tool
%{_datadir}/applications/mate-search-tool.desktop
%{_mandir}/man1/mate-search-tool.1.*
%{_datadir}/glib-2.0/schemas/org.mate.search-tool.gschema.xml
%{_datadir}/pixmaps/mate-search-tool/
%{_datadir}/metainfo/mate-search-tool.appdata.xml

%files -n mate-disk-usage-analyzer
%{_bindir}/mate-disk-usage-analyzer
%{_datadir}/applications/mate-disk-usage-analyzer.desktop
%{_mandir}/man1/mate-disk-usage-analyzer.1.*
%{_datadir}/glib-2.0/schemas/org.mate.disk-usage-analyzer.gschema.xml
%{_datadir}/icons/hicolor/*/apps/mate-disk-usage-analyzer.*
%{_datadir}/metainfo/mate-disk-usage-analyzer.appdata.xml

%files -n %{develname}
%{_libdir}/libmatedict.so
%{_libdir}/pkgconfig/mate-dict*.pc
%{_includedir}/mate-dict

%files doc
%{_datadir}/help

%post -n mate-system-log
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post -n mate-screenshot
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post -n mate-dictionary
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post -n mate-search-tool
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post -n mate-disk-usage-analyzer
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n mate-system-log
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n mate-screenshot
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n mate-dictionary
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n mate-search-tool
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n mate-disk-usage-analyzer
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
